/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.spectro;

import java.io.Serializable;
import java.util.Calendar;
import java.util.List;

public class Spectro implements Serializable { //, Comparable<Spectro> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Calendar eventTime;
	private List<Float> flux;

	public Calendar getEventTime() {
		return eventTime;
	}

	public void setEventTime(Calendar eventTime) {
		this.eventTime = eventTime;
	}

/*
	@Override
	public int compareTo(Spectro arg0) {
		return List.compare(this.flux, arg0.getFlux());
	}
*/
    /**
     * @return the flux
     */
    public List<Float> getFlux() {
        return flux;
    }

    /**
     * @param flux the flux to set
     */
    public void setFlux(List<Float> flux) {
        this.flux = flux;
    }
	
}
